import * as yup from 'yup'

export const vehicleSchema = yup.object().shape({
  contratId: yup.string().required('L\'ID du contrat est requis'),
  numeroImmatriculation: yup.string().required('L\'immatriculation est requise'),
  marque: yup.string().required('La marque est requise'),
  modele: yup.string().required('Le modèle est requis'),
  typeVehicule: yup.string().required('Le type de véhicule est requis'),
  dateImmatriculation: yup.date().required('La date d\'immatriculation est requise'),
  department: yup.string().required('Le département est requis'),
  nombrePlaces: yup.number().required('Le nombre de places est requis'),
  fuelType: yup.string().required('Le type de carburant est requis'),
  placesFauteuilRoulant: yup.number(),
  geolocationCode: yup.string(),
  observation: yup.string(),
}) 